Subject: Fwd: ietf core policy schema draft4 question

From: [email-masked]
Date: Thu, 1 Jul 1999 11:30:43 -0400

Dana is absolutely right -- some of the class definitions in the
-04 LDAP Core Policy Schema draft don't match the class hierarchy
described in Figure 1 and in the overall text of the document.
Looking back, though, I find that these errors were not introduced
in the -04 version:  they were also present in the -03 document.

In any case, here are the corrections I've made in the document
source, in anticipation of eventually publishing an -05 version:

Section 5.2 (The Class policyGroup)

    change
      DERIVED FROM     top
    to
      DERIVED FROM     policy

Section 5.3 (The Class policyRule)

    change
      DERIVED FROM     top
    to
      DERIVED FROM     policy

    change
      AUXILIARY CLASSES    none
    to
     AUXILIARY CLASSES    policyCondition, policyAction

Section 5.4 (The Class policyCondition)

    change
      DERIVED FROM     top
    to
      DERIVED FROM     policy

Section 5.7 (The Class policyAction)

    change
      DERIVED FROM     top
    to
      DERIVED FROM     policy

Regards,
Bob

Bob Moore
IBM Networking Software
+1-919-254-4436
[email-masked]

---------------------- Forwarded by Robert Moore/Raleigh/IBM on 07/01/99 11:03
AM ---------------------------
>Date: Tue, 29 Jun 1999 17:11:16 -0400
>X-Mailer: Mozilla 4.6 [en] (X11; U; SunOS 5.7 sun4u)
>X-Accept-Language: en
>To: [email-masked], [email-masked]
>CC: "Bucknam, Steven" <[email-masked]>,
>        "Calato, Paul" <[email-masked]>
>Subject: ietf core policy schema draft4 question
>
>
>John or Ed,
>
>    I am confused about a point in the draft4 schema that I hope is
>just a typo. Your class heirarchy diagram and the text seem to suggest
>that core policy objects derive from "policy", but policyRule
>is specified to derive from top. Shouldn't it derive from policy, or
>mix in policyElement to get the policyKeywords attribute?
>
>Also, shouldn't policyCondition and policyAction be listed as possible
>auxiliary classes to policy rule ( for creating simple policies ).
>
>
>                   Thanks,
>
>                        Dana
>
>
>--
>Dana P. Cook
>Cabletron Systems Inc.
>(603) 337-7551
>[email-masked]
>